cascading.pipe.assembly

## Class UniqueProps

- java.lang.Object
- - cascading.property.Props
  - - cascading.pipe.assembly.UniqueProps

    public class UniqueProps
    extends Props

Class UniqueProps is a fluent helper for setting various properties related to the cache used in `Unique`.

### Field Summary

Fields
`static Class<? extends BaseCacheFactory>` `DEFAULT_CACHE_FACTORY_CLASS` default factory class for creating caches.
`static String` `UNIQUE_CACHE_CAPACITY` property to control the capacity of the cache to use.
`static String` `UNIQUE_CACHE_FACTORY` property to control the cache factory used in Unique.
`static int` `UNIQUE_DEFAULT_CAPACITY` default capacity of caches used in Unique.

### Constructor Summary

Constructors
Constructor and Description
`UniqueProps()`

### Method Summary

Methods
`protected void` `addPropertiesTo(Properties properties)`
`String` `getCacheFactoryClassName()` Returns the name of the cache factory.
`int` `getCapacity()` Returns the capacity.
`UniqueProps` `setCacheFactoryClass(Class<? extends BaseCacheFactory> cacheFactory)` Sets the CacheFactory class to use.
`UniqueProps` `setCacheFactoryClassName(String cacheFactoryClassName)` Sets the name of the CacheFactory to use.
`UniqueProps` `setCapacity(int capacity)` Sets the capacity of the cache.
`static UniqueProps` `uniqueProps()`

### Methods inherited from class cascading.property.Props

`buildProperties, buildProperties, buildProperties, buildProperties, setProperties, setProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNIQUE_CACHE_FACTORY

    public static String UNIQUE_CACHE_FACTORY

property to control the cache factory used in Unique.

#### UNIQUE_CACHE_CAPACITY

    public static final String UNIQUE_CACHE_CAPACITY

property to control the capacity of the cache to use.

See Also:
  Constant Field Values

#### UNIQUE_DEFAULT_CAPACITY

    public static int UNIQUE_DEFAULT_CAPACITY

default capacity of caches used in Unique.

#### DEFAULT_CACHE_FACTORY_CLASS

    public static final Class<? extends BaseCacheFactory> DEFAULT_CACHE_FACTORY_CLASS

default factory class for creating caches.

### Constructor Detail

#### UniqueProps

    public UniqueProps()

### Method Detail

#### uniqueProps

    public static UniqueProps uniqueProps()

#### setCacheFactoryClass

    public UniqueProps setCacheFactoryClass(Class<? extends BaseCacheFactory> cacheFactory)

Sets the CacheFactory class to use.

Parameters:
  `cacheFactory` - The cache factory class to use.

#### setCacheFactoryClassName

    public UniqueProps setCacheFactoryClassName(String cacheFactoryClassName)

Sets the name of the CacheFactory to use.

Parameters:
  `cacheFactoryClassName` - The full name of the cache factory class to use.

#### setCapacity

    public UniqueProps setCapacity(int capacity)

Sets the capacity of the cache.

Parameters:
  `capacity` - The capacity of the cache.

#### getCapacity

    public int getCapacity()

Returns the capacity.

Returns:
  The capacity.

#### getCacheFactoryClassName

    public String getCacheFactoryClassName()

Returns the name of the cache factory.

Returns:
  The cache class name.

#### addPropertiesTo

    protected void addPropertiesTo(Properties properties)

Specified by:
  `addPropertiesTo` in class `Props`